$packageName    = 'kubernetes-cli'
$url            = 'https://dl.k8s.io/v1.7.3/kubernetes-client-windows-386.tar.gz'
$url64          = 'https://dl.k8s.io/v1.7.3/kubernetes-client-windows-amd64.tar.gz'
$checksum       = '2d4d26928f31342081337bc9b8508067b3a29c9f673a6f67186e04c447d274c1'
$checksum64     = '90423aaa71fdd813ac58ceb25e670bd8b53a417e6ac34e67ad2cacc7f5a4c579'
$checksumType   = 'sha256'
$checksumType64 = 'sha256'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$tempDir    = "$toolsDir\temp"


# Download and unzip into a temp folder
Install-ChocolateyZipPackage -PackageName "$packageName" -UnzipLocation "$tempDir" -Url "$url" -Url64 "$url64" -Checksum "$checksum" -ChecksumType "$checksumType" -Checksum64 "$checksum64" -ChecksumType64 "$checksumType64"

# Untar into tools folder
Get-ChocolateyUnzip -PackageName "$packageName" -FileFullPath "$tempDir" -Destination "$toolsDir"

# Remove temp folder
Remove-Item "$tempDir\*" -recurse
Remove-Item "$tempDir"
